/*
 * BNDMMatcherConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "BNDMMatcherConstruction.h"

#include <string/LinearString.h>

namespace stringology {

namespace matching {

indexes::stringology::BNDMMatcher < DefaultSymbolType > BNDMMatcherConstruction::construct ( const string::String & string ) {
	return dispatch ( string.getData ( ) );
}

auto BNDMIndexConstructionLinearString = BNDMMatcherConstruction::RegistratorWrapper < indexes::stringology::BNDMMatcher < >, string::LinearString < > > ( BNDMMatcherConstruction::construct );

} /* namespace matching */

} /* namespace stringology */
