/*
 * WideBNDMMatcherConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "WideBNDMMatcherConstruction.h"

#include <string/LinearString.h>

namespace stringology {

namespace matching {

indexes::stringology::BitParallelIndex < DefaultSymbolType > WideBNDMMatcherConstruction::construct ( const string::String & string ) {
	return dispatch ( string.getData ( ) );
}

auto WideBNDMIndexConstructionLinearString = WideBNDMMatcherConstruction::RegistratorWrapper < indexes::stringology::BitParallelIndex < DefaultSymbolType >, string::LinearString < > > ( WideBNDMMatcherConstruction::construct );

} /* namespace matching */

} /* namespace stringology */
