/*
 * BNDMOccurrences.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "BNDMOccurrences.h"

#include <string/LinearString.h>

namespace stringology {

namespace query {

std::set < unsigned > BNDMOccurrences::query ( const indexes::stringology::BNDMMatcher < > & pattern, const string::String & subject ) {
	return dispatch ( pattern, subject.getData ( ) );
}

auto bndmOccurrencesLinearString = BNDMOccurrences::RegistratorWrapper < std::set < unsigned >, string::LinearString < > > ( BNDMOccurrences::query );

} /* namespace query */

} /* namespace stringology */
