/*
 * NormalizeTreeLabels.cpp
 *
 *  Created on: 10. 5. 2017
 *      Author: Aleksandr Shatrovskii
 */

#include "NormalizeTreeLabels.h"
#include <tree/Tree.h>

namespace tree {

tree::Tree NormalizeTreeLabels::normalize ( const tree::Tree & tree ) {
	return dispatch ( tree.getData ( ) );
}

auto NormalizeTreeLabelsRankedTree = NormalizeTreeLabels::RegistratorWrapper < tree::RankedTree < unsigned, DefaultRankType >, tree::RankedTree < > > ( NormalizeTreeLabels::normalize );

} /* namespace tree */
