/*
 * ExactSubtreeRepeats.cpp
 *
 *  Created on: 5. 5. 2017
 *      Author: Aleksandr Shatrovskii
 */

#include "ExactSubtreeRepeats.h"
#include <tree/Tree.h>

namespace tree {

namespace properties {

tree::Tree ExactSubtreeRepeats::repeats ( const tree::Tree & tree ) {
	return dispatch ( tree.getData ( ) );
}

auto ExactRepeatsPostfixRankedTree = ExactSubtreeRepeats::RegistratorWrapper < tree::PostfixRankedTree < unsigned, DefaultRankType >, tree::PostfixRankedTree < > > ( ExactSubtreeRepeats::repeats );

} /* namespace properties */

} /* namespace tree */
