/*
 * Minimize.cpp
 *
 *  Created on: Dec 9, 2013
 *	  Author: honza
 */

#include "Minimize.h"

namespace automaton {

namespace simplify {

automaton::Automaton Minimize::minimize(const automaton::Automaton& automaton) {
	return dispatch(automaton.getData());
}

auto MinimizeNFA = Minimize::RegistratorWrapper<automaton::DFA<>, automaton::DFA<>>( Minimize::minimize );
auto MinimizeNFTA = Minimize::RegistratorWrapper<automaton::DFTA<>, automaton::DFTA<>>( Minimize::minimize );

} /* namespace simplify */

} /* namespace automaton */
