/*
 * ExactSubsequenceAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactSubsequenceAutomaton.h"

namespace stringology {

namespace indexing {

automaton::Automaton ExactSubsequenceAutomaton::construct(const string::String& text) {
	return dispatch(text.getData());
}

auto ExactSubsequenceAutomatonLinearString = ExactSubsequenceAutomaton::RegistratorWrapper < automaton::DFA < DefaultSymbolType, unsigned >, string::LinearString < > > ( ExactSubsequenceAutomaton::construct );

} /* namespace indexing */

} /* namespace stringology */
